Skip to main content

Start Instance

POST/api/instance

Start a new instance from a snapshot. Supply snapshot_id in the JSON body or legacy query; a nonempty body value takes precedence. Admission, ownership and quota checks precede Start dispatch.

Request​

Query Parameters

  • snapshot_idstring

    Required when snapshot_id is not provided in the JSON body.

application/json

Body

  • object | null

    Example: {"metadata":{}}

    • metadataobject | null
      • Additional propertiesstring
    • snapshot_idstring

      Snapshot to start from; a nonempty body value takes precedence over the query alias.

    • ttl_actionstring | null

      Action to take when the instance expires. Defaults to 'stop'.

      Allowed values: "stop", "pause"

    • ttl_secondsinteger | null

      Time to live in seconds for the instance

Responses​

Successful Response

application/json

Schema

  • object
    • createdintegerrequired
    • idstringrequired
    • metadataobject

      User provided metadata for the instance

      • Additional propertiesstring
    • networkingobjectrequired
      • http_servicesarray of object
        • Itemsobject
          • auth_modestring

            Allowed values: "none", "api_key"

            Default: "none"

          • namestringrequired
          • portintegerrequired
          • urlstringrequired
      • internal_ipstring | null
    • objectstring

      Value: "instance"

      Default: "instance"

    • refsobjectrequired
      • image_idstringrequired
      • snapshot_idstringrequired
    • specobjectrequired
      • disk_sizeintegerrequired

        Size of the snapshot in megabytes

      • memoryintegerrequired

        Memory of the snaphshot in megabytes

      • vcpusintegerrequired

        VCPU Count of the snaphshot

    • statusstring

      Allowed values: "pending", "ready", "paused", "saving", "error"

      Default: "pending"

    • ttlobjectrequired

      Time to live settings for the instance. If not set, the instance will not expire.

      • ttl_actionstring | null

        Action to take when the instance expires

        Allowed values: "stop", "pause"

      • ttl_expire_atinteger | null

        Unix timestamp of when the instance will expire

      • ttl_secondsinteger | nullrequired

        Time to live in seconds for the instance

    • wake_onobjectrequired

      Wake on settings for the instance. If not set, the instance will not wake on access.

      • wake_on_httpboolean

        Whether to wake the instance on HTTP access

        Default: false

      • wake_on_sshboolean

        Whether to wake the instance on SSH access

        Default: false